{
  template: '${tmpl}',
  data: function () {
    return {
      apps: null,
      bubbles: ['x', 'y', 'x', 'y', 'x', 'y', 'x', 'y', 'x', 'y'],
      pxheight: "800px",
      myapps: [],
      carisshow: false,
      carisshow: false,
      showimgUrl: [{
          img: '/imgs/img1.png',
          icon: '/imgs/icon1.png',
          name: '个体工商宝'
        },
        {
          img: '/imgs/img2.png',
          icon: '/imgs/icon2.png',
          name: '个体财务宝'
        },
        {
          img: '/imgs/img3.png',
          icon: '/imgs/icon3.png',
          name: '个体税务宝'
        },
        {
          img: '/imgs/img4.png',
          icon: '/imgs/icon4.png',
          name: '个体票据宝'
        }
      ]
    }
  },
  mounted: function () {
    this.pxheight = (this.$root.stageHeight - 60) + "px";
    this.myapps = tocompanyinfo ? tocompanyinfo.apps : [];
  },
  created: function () {

  },
  computed: {},
  methods: {
    async systemsetting(app) {
      var d = await this.$root.postReq("/web/auth/userCtl/sysManageForApp?appKey=" + app.appkey + "&toKey=" + appinfo.appkey, tocompanyinfo);
      window.open(d.data.jumpUrl);
    },
    async exitclick() {
      var d = await this.$root.postReq("/web/auth/userCtl/exit", {});
      this.$router.push("/tlogin");
    },
    bgimg(app) {
      return "background:url('" + app.bkimageUrl + "') no-repeat;background-size: cover";
    },
    async goapplogin(app) {
      if (app.name == "个体税务宝") {
        return this.$message({
          message: '敬请期待',
          type: 'warning'
        });
      }

      if(app.name == "个体财务宝") {
        window.open("http://192.168.1.221");
        return;
      }
      var d = await this.$root.postReq("/web/auth/userCtl/goLoginForApp", app);
      if (d && d.status == 0 && d.data) {
        console.log(JSON.stringify(d.data));
        window.open(d.data.jumpUrl);
      } else {

      }
    }
  },
  vname: "gsb_gtbhome"
}